ur_rna.Utilities.swing

## Class MergeManager

- java.lang.Object
- - ur_rna.Utilities.swing.MergeManager

-     public class MergeManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.Integer` | `DEFAULT_MERGE_POS`
    `static java.awt.Component[]` | `EMPTY_COMPONENT_ARRAY`
    `private java.util.Map<java.awt.Component,java.lang.Integer>` | `mergePosMap`
    `private java.util.Map<java.awt.Container,java.awt.Component[]>` | `originalComponents`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCache(java.awt.Container component)`
    `private java.lang.String` | `getMergeName(java.lang.Object c)`
    `boolean` | `merge(java.awt.Component p1, java.awt.Component p2)`
    `boolean` | `merge(java.awt.Component parent, java.awt.Component[] addSubItems)`
    `private boolean` | `mergeItems(java.awt.Component[] existing, java.awt.Component[] adding, java.awt.Component[] merged)`
    `void` | `reset()`
    `private void` | `setComponents(java.awt.Container parent, java.awt.Component[] list)`
    `void` | `sort(java.awt.Component parent)`
    `private void` | `storeComponents(java.awt.Container parent, java.awt.Component[] original)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MERGE_POS

          private static final java.lang.Integer DEFAULT_MERGE_POS

    - #### EMPTY_COMPONENT_ARRAY

          public static final java.awt.Component[] EMPTY_COMPONENT_ARRAY

    - #### mergePosMap

          private java.util.Map<java.awt.Component,java.lang.Integer> mergePosMap

    - #### originalComponents

          private java.util.Map<java.awt.Container,java.awt.Component[]> originalComponents

  - ### Constructor Detail

    - #### MergeManager

          public MergeManager()

  - ### Method Detail

    - #### clearCache

          public void clearCache(java.awt.Container component)

    - #### getMergeName

          private java.lang.String getMergeName(java.lang.Object c)

    - #### merge

          public boolean merge(java.awt.Component p1,
                               java.awt.Component p2)

    - #### merge

          public boolean merge(java.awt.Component parent,
                               java.awt.Component[] addSubItems)

    - #### mergeItems

          private boolean mergeItems(java.awt.Component[] existing,
                                     java.awt.Component[] adding,
                                     java.awt.Component[] merged)

    - #### reset

          public void reset()

    - #### setComponents

          private void setComponents(java.awt.Container parent,
                                     java.awt.Component[] list)

    - #### sort

          public void sort(java.awt.Component parent)

    - #### storeComponents

          private void storeComponents(java.awt.Container parent,
                                       java.awt.Component[] original)